- Home
- Download
- Contribute
- Support
- Cyrus SASL

# quota

Report and optionally fix storage and message quota usage.

## Synopsis

    quota [ -C config-file ] [ -d domain ] [ -f ] [ mailbox-prefix... ]

## Description

quota generates a report listing quota roots, giving their limits and usage.

If the -f option is specified, quota first fixes any inconsistencies in the quota subsystem, such as mailboxes with the wrong quota root or quota roots with the wrong quota usage reported.

If an optional domain is specified with the -d option, the quota listing (and any inconsistency fixing) is performed only in that domain rather than all mailboxes.

If one or more mailbox-prefix arguments are specified, the quota listing (and inconsistency fixing) is limited to quota roots with names that start with one of the given prefixes.

Warning

Running quota with both the -f option and mailbox-prefix arguments is not recommended.

quota reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

## Options

`-C` `config-file`

  Use the specified configuration file config-file rather than the default imapd.conf(5).

`-d` `domain`

  List and/or fix quota only in domain.

`-f```

  Fix any inconsistencies in the quota subsystem before generating a report.

`-q```

  Operate quietly. If -f is specified, then don’t print the quota values, only print messages when things are changed.

`-J```

  Output the quota values as JSON for automated tooling support

`mailbox-prefix```

  Only report and/or fix quota in mailboxes starting with the specified mailbox-prefix.

## Examples

    quota

> List quotas for all users and mailboxes.

    Quota     % Used     Used              Resource Root
    1048576       21   228429              STORAGE example.org!user.jane
                         9459              MESSAGE example.org!user.jane
                            1 X-ANNOTATION-STORAGE example.org!user.jane
                           26        X-NUM-FOLDERS example.org!user.jane
                       169791              STORAGE example.org!user.jane.Archive
                         4137              MESSAGE example.org!user.jane.Archive
                            0 X-ANNOTATION-STORAGE example.org!user.jane.Archive
                            1        X-NUM-FOLDERS example.org!user.jane.Archive
    1048576       42   448944              STORAGE example.org!user.john
                         9088              MESSAGE example.org!user.john
                            2 X-ANNOTATION-STORAGE example.org!user.john
                           35        X-NUM-FOLDERS example.org!user.john

## Files

/etc/imapd.conf

## See Also

imapd.conf(5)